searchNodes=[{"type":"task","title":"Mix.Tasks.Gen.DocJson.Section","doc":"","ref":"Mix.Tasks.Gen.DocJson.Section.html"},{"type":"type","title":"Mix.Tasks.Gen.DocJson.Section.t/0","doc":"","ref":"Mix.Tasks.Gen.DocJson.Section.html#t:t/0"},{"type":"module","title":"Telegex","doc":"All methods in the Bot API.","ref":"Telegex.html"},{"type":"function","title":"Telegex.add_sticker_to_set/3","doc":"Use this method to add a new sticker to a set created by the bot. The format of the added sticker must match the format of the other stickers in the set. Emoji sticker sets can have up to 200 stickers. Animated and video sticker sets can have up to 50 stickers. Static sticker sets can have up to 120 stickers. Returns True on success.","ref":"Telegex.html#add_sticker_to_set/3"},{"type":"function","title":"Telegex.answer_callback_query/2","doc":"Use this method to send answers to callback queries sent from inline keyboards. The answer will be displayed to the user as a notification at the top of the chat screen or as an alert. On success, True is returned.","ref":"Telegex.html#answer_callback_query/2"},{"type":"function","title":"Telegex.answer_inline_query/3","doc":"Use this method to send answers to an inline query. On success, True is returned. No more than 50 results per query are allowed.","ref":"Telegex.html#answer_inline_query/3"},{"type":"function","title":"Telegex.answer_pre_checkout_query/3","doc":"Once the user has confirmed their payment and shipping details, the Bot API sends the final confirmation in the form of an Update with the field pre_checkout_query. Use this method to respond to such pre-checkout queries. On success, True is returned. Note: The Bot API must receive an answer within 10 seconds after the pre-checkout query was sent.","ref":"Telegex.html#answer_pre_checkout_query/3"},{"type":"function","title":"Telegex.answer_shipping_query/3","doc":"If you sent an invoice requesting a shipping address and the parameter is_flexible was specified, the Bot API will send an Update with a shipping_query field to the bot. Use this method to reply to shipping queries. On success, True is returned.","ref":"Telegex.html#answer_shipping_query/3"},{"type":"function","title":"Telegex.answer_web_app_query/2","doc":"Use this method to set the result of an interaction with a Web App and send a corresponding message on behalf of the user to the chat from which the query originated. On success, a SentWebAppMessage object is returned.","ref":"Telegex.html#answer_web_app_query/2"},{"type":"function","title":"Telegex.approve_chat_join_request/2","doc":"Use this method to approve a chat join request. The bot must be an administrator in the chat for this to work and must have the can_invite_users administrator right. Returns True on success.","ref":"Telegex.html#approve_chat_join_request/2"},{"type":"function","title":"Telegex.ban_chat_member/3","doc":"Use this method to ban a user in a group, a supergroup or a channel. In the case of supergroups and channels, the user will not be able to return to the chat on their own using invite links, etc., unless unbanned first. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns True on success.","ref":"Telegex.html#ban_chat_member/3"},{"type":"function","title":"Telegex.ban_chat_sender_chat/2","doc":"Use this method to ban a channel chat in a supergroup or a channel. Until the chat is unbanned, the owner of the banned chat won't be able to send messages on behalf of any of their channels. The bot must be an administrator in the supergroup or channel for this to work and must have the appropriate administrator rights. Returns True on success.","ref":"Telegex.html#ban_chat_sender_chat/2"},{"type":"function","title":"Telegex.close/0","doc":"Use this method to close the bot instance before moving it from one local server to another. You need to delete the webhook before calling this method to ensure that the bot isn't launched again after server restart. The method will return error 429 in the first 10 minutes after the bot is launched. Returns True on success. Requires no parameters.","ref":"Telegex.html#close/0"},{"type":"function","title":"Telegex.close_forum_topic/2","doc":"Use this method to close an open topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights, unless it is the creator of the topic. Returns True on success.","ref":"Telegex.html#close_forum_topic/2"},{"type":"function","title":"Telegex.close_general_forum_topic/1","doc":"Use this method to close an open 'General' topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights. Returns True on success.","ref":"Telegex.html#close_general_forum_topic/1"},{"type":"function","title":"Telegex.copy_message/4","doc":"Use this method to copy messages of any kind. Service messages and invoice messages can't be copied. A quiz poll can be copied only if the value of the field correct_option_id is known to the bot. The method is analogous to the method forwardMessage, but the copied message doesn't have a link to the original message. Returns the MessageId of the sent message on success.","ref":"Telegex.html#copy_message/4"},{"type":"function","title":"Telegex.create_chat_invite_link/2","doc":"Use this method to create an additional invite link for a chat. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. The link can be revoked using the method revokeChatInviteLink. Returns the new invite link as ChatInviteLink object.","ref":"Telegex.html#create_chat_invite_link/2"},{"type":"function","title":"Telegex.create_forum_topic/3","doc":"Use this method to create a topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights. Returns information about the created topic as a ForumTopic object.","ref":"Telegex.html#create_forum_topic/3"},{"type":"function","title":"Telegex.create_invoice_link/7","doc":"Use this method to create a link for an invoice. Returns the created invoice link as String on success.","ref":"Telegex.html#create_invoice_link/7"},{"type":"function","title":"Telegex.create_new_sticker_set/6","doc":"Use this method to create a new sticker set owned by a user. The bot will be able to edit the sticker set thus created. Returns True on success.","ref":"Telegex.html#create_new_sticker_set/6"},{"type":"function","title":"Telegex.decline_chat_join_request/2","doc":"Use this method to decline a chat join request. The bot must be an administrator in the chat for this to work and must have the can_invite_users administrator right. Returns True on success.","ref":"Telegex.html#decline_chat_join_request/2"},{"type":"function","title":"Telegex.delete_chat_photo/1","doc":"Use this method to delete a chat photo. Photos can't be changed for private chats. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns True on success.","ref":"Telegex.html#delete_chat_photo/1"},{"type":"function","title":"Telegex.delete_chat_sticker_set/1","doc":"Use this method to delete a group sticker set from a supergroup. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Use the field can_set_sticker_set optionally returned in getChat requests to check if the bot can use this method. Returns True on success.","ref":"Telegex.html#delete_chat_sticker_set/1"},{"type":"function","title":"Telegex.delete_forum_topic/2","doc":"Use this method to delete a forum topic along with all its messages in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_delete_messages administrator rights. Returns True on success.","ref":"Telegex.html#delete_forum_topic/2"},{"type":"function","title":"Telegex.delete_message/2","doc":"Use this method to delete a message, including service messages, with the following limitations: A message can only be deleted if it was sent less than 48 hours ago. Service messages about a supergroup, channel, or forum topic creation can't be deleted. A dice message in a private chat can only be deleted if it was sent more than 24 hours ago. Bots can delete outgoing messages in private chats, groups, and supergroups. Bots can delete incoming messages in private chats. Bots granted can_post_messages permissions can delete outgoing messages in channels. If the bot is an administrator of a group, it can delete any message there. If the bot has can_delete_messages permission in a supergroup or a channel, it can delete any message there. Returns True on success.","ref":"Telegex.html#delete_message/2"},{"type":"function","title":"Telegex.delete_my_commands/1","doc":"Use this method to delete the list of the bot's commands for the given scope and user language. After deletion, higher level commands will be shown to affected users. Returns True on success.","ref":"Telegex.html#delete_my_commands/1"},{"type":"function","title":"Telegex.delete_sticker_from_set/1","doc":"Use this method to delete a sticker from a set created by the bot. Returns True on success.","ref":"Telegex.html#delete_sticker_from_set/1"},{"type":"function","title":"Telegex.delete_sticker_set/1","doc":"Use this method to delete a sticker set that was created by the bot. Returns True on success.","ref":"Telegex.html#delete_sticker_set/1"},{"type":"function","title":"Telegex.delete_webhook/1","doc":"Use this method to remove webhook integration if you decide to switch back to getUpdates. Returns True on success.","ref":"Telegex.html#delete_webhook/1"},{"type":"function","title":"Telegex.edit_chat_invite_link/3","doc":"Use this method to edit a non-primary invite link created by the bot. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns the edited invite link as a ChatInviteLink object.","ref":"Telegex.html#edit_chat_invite_link/3"},{"type":"function","title":"Telegex.edit_forum_topic/3","doc":"Use this method to edit name and icon of a topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have can_manage_topics administrator rights, unless it is the creator of the topic. Returns True on success.","ref":"Telegex.html#edit_forum_topic/3"},{"type":"function","title":"Telegex.edit_general_forum_topic/2","doc":"Use this method to edit the name of the 'General' topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have can_manage_topics administrator rights. Returns True on success.","ref":"Telegex.html#edit_general_forum_topic/2"},{"type":"function","title":"Telegex.edit_message_caption/1","doc":"Use this method to edit captions of messages. On success, if the edited message is not an inline message, the edited Message is returned, otherwise True is returned.","ref":"Telegex.html#edit_message_caption/1"},{"type":"function","title":"Telegex.edit_message_live_location/3","doc":"Use this method to edit live location messages. A location can be edited until its live_period expires or editing is explicitly disabled by a call to stopMessageLiveLocation. On success, if the edited message is not an inline message, the edited Message is returned, otherwise True is returned.","ref":"Telegex.html#edit_message_live_location/3"},{"type":"function","title":"Telegex.edit_message_media/2","doc":"Use this method to edit animation, audio, document, photo, or video messages. If a message is part of a message album, then it can be edited only to an audio for audio albums, only to a document for document albums and to a photo or a video otherwise. When an inline message is edited, a new file can't be uploaded; use a previously uploaded file via its file_id or specify a URL. On success, if the edited message is not an inline message, the edited Message is returned, otherwise True is returned.","ref":"Telegex.html#edit_message_media/2"},{"type":"function","title":"Telegex.edit_message_reply_markup/1","doc":"Use this method to edit only the reply markup of messages. On success, if the edited message is not an inline message, the edited Message is returned, otherwise True is returned.","ref":"Telegex.html#edit_message_reply_markup/1"},{"type":"function","title":"Telegex.edit_message_text/2","doc":"Use this method to edit text and game messages. On success, if the edited message is not an inline message, the edited Message is returned, otherwise True is returned.","ref":"Telegex.html#edit_message_text/2"},{"type":"function","title":"Telegex.export_chat_invite_link/1","doc":"Use this method to generate a new primary invite link for a chat; any previously generated primary link is revoked. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns the new invite link as String on success.","ref":"Telegex.html#export_chat_invite_link/1"},{"type":"function","title":"Telegex.forward_message/4","doc":"Use this method to forward messages of any kind. Service messages can't be forwarded. On success, the sent Message is returned.","ref":"Telegex.html#forward_message/4"},{"type":"function","title":"Telegex.get_chat/1","doc":"Use this method to get up to date information about the chat (current name of the user for one-on-one conversations, current username of a user, group or channel, etc.). Returns a Chat object on success.","ref":"Telegex.html#get_chat/1"},{"type":"function","title":"Telegex.get_chat_administrators/1","doc":"Use this method to get a list of administrators in a chat, which aren't bots. Returns an Array of ChatMember objects.","ref":"Telegex.html#get_chat_administrators/1"},{"type":"function","title":"Telegex.get_chat_member/2","doc":"Use this method to get information about a member of a chat. The method is only guaranteed to work for other users if the bot is an administrator in the chat. Returns a ChatMember object on success.","ref":"Telegex.html#get_chat_member/2"},{"type":"function","title":"Telegex.get_chat_member_count/1","doc":"Use this method to get the number of members in a chat. Returns Int on success.","ref":"Telegex.html#get_chat_member_count/1"},{"type":"function","title":"Telegex.get_chat_menu_button/1","doc":"Use this method to get the current value of the bot's menu button in a private chat, or the default menu button. Returns MenuButton on success.","ref":"Telegex.html#get_chat_menu_button/1"},{"type":"function","title":"Telegex.get_custom_emoji_stickers/1","doc":"Use this method to get information about custom emoji stickers by their identifiers. Returns an Array of Sticker objects.","ref":"Telegex.html#get_custom_emoji_stickers/1"},{"type":"function","title":"Telegex.get_file/1","doc":"Use this method to get basic information about a file and prepare it for downloading. For the moment, bots can download files of up to 20MB in size. On success, a File object is returned. The file can then be downloaded via the link https://api.telegram.org/file/bot &lt;token&gt;/&lt;file_path&gt;, where &lt;file_path&gt; is taken from the response. It is guaranteed that the link will be valid for at least 1 hour. When the link expires, a new one can be requested by calling getFile again.","ref":"Telegex.html#get_file/1"},{"type":"function","title":"Telegex.get_forum_topic_icon_stickers/0","doc":"Use this method to get custom emoji stickers, which can be used as a forum topic icon by any user. Requires no parameters. Returns an Array of Sticker objects.","ref":"Telegex.html#get_forum_topic_icon_stickers/0"},{"type":"function","title":"Telegex.get_game_high_scores/2","doc":"Use this method to get data for high score tables. Will return the score of the specified user and several of their neighbors in a game. Returns an Array of GameHighScore objects.","ref":"Telegex.html#get_game_high_scores/2"},{"type":"function","title":"Telegex.get_me/0","doc":"A simple method for testing your bot's authentication token. Requires no parameters. Returns basic information about the bot in form of a User object.","ref":"Telegex.html#get_me/0"},{"type":"function","title":"Telegex.get_my_commands/1","doc":"Use this method to get the current list of the bot's commands for the given scope and user language. Returns an Array of BotCommand objects. If commands aren't set, an empty list is returned.","ref":"Telegex.html#get_my_commands/1"},{"type":"function","title":"Telegex.get_my_default_administrator_rights/1","doc":"Use this method to get the current default administrator rights of the bot. Returns ChatAdministratorRights on success.","ref":"Telegex.html#get_my_default_administrator_rights/1"},{"type":"function","title":"Telegex.get_my_description/1","doc":"Use this method to get the current bot description for the given user language. Returns BotDescription on success.","ref":"Telegex.html#get_my_description/1"},{"type":"function","title":"Telegex.get_my_name/1","doc":"Use this method to get the current bot name for the given user language. Returns BotName on success.","ref":"Telegex.html#get_my_name/1"},{"type":"function","title":"Telegex.get_my_short_description/1","doc":"Use this method to get the current bot short description for the given user language. Returns BotShortDescription on success.","ref":"Telegex.html#get_my_short_description/1"},{"type":"function","title":"Telegex.get_sticker_set/1","doc":"Use this method to get a sticker set. On success, a StickerSet object is returned.","ref":"Telegex.html#get_sticker_set/1"},{"type":"function","title":"Telegex.get_updates/1","doc":"Use this method to receive incoming updates using long polling (wiki). Returns an Array of Update objects.","ref":"Telegex.html#get_updates/1"},{"type":"function","title":"Telegex.get_user_profile_photos/2","doc":"Use this method to get a list of profile pictures for a user. Returns a UserProfilePhotos object.","ref":"Telegex.html#get_user_profile_photos/2"},{"type":"function","title":"Telegex.get_webhook_info/0","doc":"Use this method to get current webhook status. Requires no parameters. On success, returns a WebhookInfo object. If the bot is using getUpdates, will return an object with the url field empty.","ref":"Telegex.html#get_webhook_info/0"},{"type":"function","title":"Telegex.hide_general_forum_topic/1","doc":"Use this method to hide the 'General' topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights. The topic will be automatically closed if it was open. Returns True on success.","ref":"Telegex.html#hide_general_forum_topic/1"},{"type":"function","title":"Telegex.leave_chat/1","doc":"Use this method for your bot to leave a group, supergroup or channel. Returns True on success.","ref":"Telegex.html#leave_chat/1"},{"type":"function","title":"Telegex.log_out/0","doc":"Use this method to log out from the cloud Bot API server before launching the bot locally. You must log out the bot before running it locally, otherwise there is no guarantee that the bot will receive updates. After a successful call, you can immediately log in on a local server, but will not be able to log in back to the cloud Bot API server for 10 minutes. Returns True on success. Requires no parameters.","ref":"Telegex.html#log_out/0"},{"type":"function","title":"Telegex.pin_chat_message/3","doc":"Use this method to add a message to the list of pinned messages in a chat. If the chat is not a private chat, the bot must be an administrator in the chat for this to work and must have the 'can_pin_messages' administrator right in a supergroup or 'can_edit_messages' administrator right in a channel. Returns True on success.","ref":"Telegex.html#pin_chat_message/3"},{"type":"function","title":"Telegex.promote_chat_member/3","doc":"Use this method to promote or demote a user in a supergroup or a channel. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Pass False for all boolean parameters to demote a user. Returns True on success.","ref":"Telegex.html#promote_chat_member/3"},{"type":"function","title":"Telegex.reopen_forum_topic/2","doc":"Use this method to reopen a closed topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights, unless it is the creator of the topic. Returns True on success.","ref":"Telegex.html#reopen_forum_topic/2"},{"type":"function","title":"Telegex.reopen_general_forum_topic/1","doc":"Use this method to reopen a closed 'General' topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights. The topic will be automatically unhidden if it was hidden. Returns True on success.","ref":"Telegex.html#reopen_general_forum_topic/1"},{"type":"function","title":"Telegex.restrict_chat_member/4","doc":"Use this method to restrict a user in a supergroup. The bot must be an administrator in the supergroup for this to work and must have the appropriate administrator rights. Pass True for all permissions to lift restrictions from a user. Returns True on success.","ref":"Telegex.html#restrict_chat_member/4"},{"type":"function","title":"Telegex.revoke_chat_invite_link/2","doc":"Use this method to revoke an invite link created by the bot. If the primary link is revoked, a new link is automatically generated. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns the revoked invite link as ChatInviteLink object.","ref":"Telegex.html#revoke_chat_invite_link/2"},{"type":"function","title":"Telegex.send_animation/3","doc":"Use this method to send animation files (GIF or H.264/MPEG-4 AVC video without sound). On success, the sent Message is returned. Bots can currently send animation files of up to 50 MB in size, this limit may be changed in the future.","ref":"Telegex.html#send_animation/3"},{"type":"function","title":"Telegex.send_audio/3","doc":"Use this method to send audio files, if you want Telegram clients to display them in the music player. Your audio must be in the .MP3 or .M4A format. On success, the sent Message is returned. Bots can currently send audio files of up to 50 MB in size, this limit may be changed in the future.","ref":"Telegex.html#send_audio/3"},{"type":"function","title":"Telegex.send_chat_action/3","doc":"Use this method when you need to tell the user that something is happening on the bot's side. The status is set for 5 seconds or less (when a message arrives from your bot, Telegram clients clear its typing status). Returns True on success.","ref":"Telegex.html#send_chat_action/3"},{"type":"function","title":"Telegex.send_contact/4","doc":"Use this method to send phone contacts. On success, the sent Message is returned.","ref":"Telegex.html#send_contact/4"},{"type":"function","title":"Telegex.send_dice/2","doc":"Use this method to send an animated emoji that will display a random value. On success, the sent Message is returned.","ref":"Telegex.html#send_dice/2"},{"type":"function","title":"Telegex.send_document/3","doc":"Use this method to send general files. On success, the sent Message is returned. Bots can currently send files of any type of up to 50 MB in size, this limit may be changed in the future.","ref":"Telegex.html#send_document/3"},{"type":"function","title":"Telegex.send_game/3","doc":"Use this method to send a game. On success, the sent Message is returned.","ref":"Telegex.html#send_game/3"},{"type":"function","title":"Telegex.send_invoice/8","doc":"Use this method to send invoices. On success, the sent Message is returned.","ref":"Telegex.html#send_invoice/8"},{"type":"function","title":"Telegex.send_location/4","doc":"Use this method to send point on the map. On success, the sent Message is returned.","ref":"Telegex.html#send_location/4"},{"type":"function","title":"Telegex.send_media_group/3","doc":"Use this method to send a group of photos, videos, documents or audios as an album. Documents and audio files can be only grouped in an album with messages of the same type. On success, an array of Messages that were sent is returned.","ref":"Telegex.html#send_media_group/3"},{"type":"function","title":"Telegex.send_message/3","doc":"Use this method to send text messages. On success, the sent Message is returned.","ref":"Telegex.html#send_message/3"},{"type":"function","title":"Telegex.send_photo/3","doc":"Use this method to send photos. On success, the sent Message is returned.","ref":"Telegex.html#send_photo/3"},{"type":"function","title":"Telegex.send_poll/4","doc":"Use this method to send a native poll. On success, the sent Message is returned.","ref":"Telegex.html#send_poll/4"},{"type":"function","title":"Telegex.send_sticker/3","doc":"Use this method to send static .WEBP, animated .TGS, or video .WEBM stickers. On success, the sent Message is returned.","ref":"Telegex.html#send_sticker/3"},{"type":"function","title":"Telegex.send_venue/6","doc":"Use this method to send information about a venue. On success, the sent Message is returned.","ref":"Telegex.html#send_venue/6"},{"type":"function","title":"Telegex.send_video/3","doc":"Use this method to send video files, Telegram clients support MPEG4 videos (other formats may be sent as Document). On success, the sent Message is returned. Bots can currently send video files of up to 50 MB in size, this limit may be changed in the future.","ref":"Telegex.html#send_video/3"},{"type":"function","title":"Telegex.send_video_note/3","doc":"As of v.4.0, Telegram clients support rounded square MPEG4 videos of up to 1 minute long. Use this method to send video messages. On success, the sent Message is returned.","ref":"Telegex.html#send_video_note/3"},{"type":"function","title":"Telegex.send_voice/3","doc":"Use this method to send audio files, if you want Telegram clients to display the file as a playable voice message. For this to work, your audio must be in an .OGG file encoded with OPUS (other formats may be sent as Audio or Document). On success, the sent Message is returned. Bots can currently send voice messages of up to 50 MB in size, this limit may be changed in the future.","ref":"Telegex.html#send_voice/3"},{"type":"function","title":"Telegex.set_chat_administrator_custom_title/3","doc":"Use this method to set a custom title for an administrator in a supergroup promoted by the bot. Returns True on success.","ref":"Telegex.html#set_chat_administrator_custom_title/3"},{"type":"function","title":"Telegex.set_chat_description/2","doc":"Use this method to change the description of a group, a supergroup or a channel. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns True on success.","ref":"Telegex.html#set_chat_description/2"},{"type":"function","title":"Telegex.set_chat_menu_button/1","doc":"Use this method to change the bot's menu button in a private chat, or the default menu button. Returns True on success.","ref":"Telegex.html#set_chat_menu_button/1"},{"type":"function","title":"Telegex.set_chat_permissions/3","doc":"Use this method to set default chat permissions for all members. The bot must be an administrator in the group or a supergroup for this to work and must have the can_restrict_members administrator rights. Returns True on success.","ref":"Telegex.html#set_chat_permissions/3"},{"type":"function","title":"Telegex.set_chat_photo/2","doc":"Use this method to set a new profile photo for the chat. Photos can't be changed for private chats. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns True on success.","ref":"Telegex.html#set_chat_photo/2"},{"type":"function","title":"Telegex.set_chat_sticker_set/2","doc":"Use this method to set a new group sticker set for a supergroup. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Use the field can_set_sticker_set optionally returned in getChat requests to check if the bot can use this method. Returns True on success.","ref":"Telegex.html#set_chat_sticker_set/2"},{"type":"function","title":"Telegex.set_chat_title/2","doc":"Use this method to change the title of a chat. Titles can't be changed for private chats. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns True on success.","ref":"Telegex.html#set_chat_title/2"},{"type":"function","title":"Telegex.set_custom_emoji_sticker_set_thumbnail/2","doc":"Use this method to set the thumbnail of a custom emoji sticker set. Returns True on success.","ref":"Telegex.html#set_custom_emoji_sticker_set_thumbnail/2"},{"type":"function","title":"Telegex.set_game_score/3","doc":"Use this method to set the score of the specified user in a game message. On success, if the message is not an inline message, the Message is returned, otherwise True is returned. Returns an error, if the new score is not greater than the user's current score in the chat and force is False.","ref":"Telegex.html#set_game_score/3"},{"type":"function","title":"Telegex.set_my_commands/2","doc":"Use this method to change the list of the bot's commands. See this manual for more details about bot commands. Returns True on success.","ref":"Telegex.html#set_my_commands/2"},{"type":"function","title":"Telegex.set_my_default_administrator_rights/1","doc":"Use this method to change the default administrator rights requested by the bot when it's added as an administrator to groups or channels. These rights will be suggested to users, but they are free to modify the list before adding the bot. Returns True on success.","ref":"Telegex.html#set_my_default_administrator_rights/1"},{"type":"function","title":"Telegex.set_my_description/1","doc":"Use this method to change the bot's description, which is shown in the chat with the bot if the chat is empty. Returns True on success.","ref":"Telegex.html#set_my_description/1"},{"type":"function","title":"Telegex.set_my_name/1","doc":"Use this method to change the bot's name. Returns True on success.","ref":"Telegex.html#set_my_name/1"},{"type":"function","title":"Telegex.set_my_short_description/1","doc":"Use this method to change the bot's short description, which is shown on the bot's profile page and is sent together with the link when users share the bot. Returns True on success.","ref":"Telegex.html#set_my_short_description/1"},{"type":"function","title":"Telegex.set_passport_data_errors/2","doc":"Informs a user that some of the Telegram Passport elements they provided contains errors. The user will not be able to re-submit their Passport to you until the errors are fixed (the contents of the field for which you returned the error must change). Returns True on success.","ref":"Telegex.html#set_passport_data_errors/2"},{"type":"function","title":"Telegex.set_sticker_emoji_list/2","doc":"Use this method to change the list of emoji assigned to a regular or custom emoji sticker. The sticker must belong to a sticker set created by the bot. Returns True on success.","ref":"Telegex.html#set_sticker_emoji_list/2"},{"type":"function","title":"Telegex.set_sticker_keywords/2","doc":"Use this method to change search keywords assigned to a regular or custom emoji sticker. The sticker must belong to a sticker set created by the bot. Returns True on success.","ref":"Telegex.html#set_sticker_keywords/2"},{"type":"function","title":"Telegex.set_sticker_mask_position/2","doc":"Use this method to change the mask position of a mask sticker. The sticker must belong to a sticker set that was created by the bot. Returns True on success.","ref":"Telegex.html#set_sticker_mask_position/2"},{"type":"function","title":"Telegex.set_sticker_position_in_set/2","doc":"Use this method to move a sticker in a set created by the bot to a specific position. Returns True on success.","ref":"Telegex.html#set_sticker_position_in_set/2"},{"type":"function","title":"Telegex.set_sticker_set_thumbnail/3","doc":"Use this method to set the thumbnail of a regular or mask sticker set. The format of the thumbnail file must match the format of the stickers in the set. Returns True on success.","ref":"Telegex.html#set_sticker_set_thumbnail/3"},{"type":"function","title":"Telegex.set_sticker_set_title/2","doc":"Use this method to set the title of a created sticker set. Returns True on success.","ref":"Telegex.html#set_sticker_set_title/2"},{"type":"function","title":"Telegex.set_webhook/2","doc":"Use this method to specify a URL and receive incoming updates via an outgoing webhook. Whenever there is an update for the bot, we will send an HTTPS POST request to the specified URL, containing a JSON-serialized Update. In case of an unsuccessful request, we will give up after a reasonable amount of attempts. Returns True on success.","ref":"Telegex.html#set_webhook/2"},{"type":"function","title":"Telegex.stop_message_live_location/1","doc":"Use this method to stop updating a live location message before live_period expires. On success, if the message is not an inline message, the edited Message is returned, otherwise True is returned.","ref":"Telegex.html#stop_message_live_location/1"},{"type":"function","title":"Telegex.stop_poll/3","doc":"Use this method to stop a poll which was sent by the bot. On success, the stopped Poll is returned.","ref":"Telegex.html#stop_poll/3"},{"type":"function","title":"Telegex.unban_chat_member/3","doc":"Use this method to unban a previously banned user in a supergroup or channel. The user will not return to the group or channel automatically, but will be able to join via link, etc. The bot must be an administrator for this to work. By default, this method guarantees that after the call the user is not a member of the chat, but will be able to join it. So if the user is a member of the chat they will also be removed from the chat. If you don't want this, use the parameter only_if_banned. Returns True on success.","ref":"Telegex.html#unban_chat_member/3"},{"type":"function","title":"Telegex.unban_chat_sender_chat/2","doc":"Use this method to unban a previously banned channel chat in a supergroup or channel. The bot must be an administrator for this to work and must have the appropriate administrator rights. Returns True on success.","ref":"Telegex.html#unban_chat_sender_chat/2"},{"type":"function","title":"Telegex.unhide_general_forum_topic/1","doc":"Use this method to unhide the 'General' topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights. Returns True on success.","ref":"Telegex.html#unhide_general_forum_topic/1"},{"type":"function","title":"Telegex.unpin_all_chat_messages/1","doc":"Use this method to clear the list of pinned messages in a chat. If the chat is not a private chat, the bot must be an administrator in the chat for this to work and must have the 'can_pin_messages' administrator right in a supergroup or 'can_edit_messages' administrator right in a channel. Returns True on success.","ref":"Telegex.html#unpin_all_chat_messages/1"},{"type":"function","title":"Telegex.unpin_all_forum_topic_messages/2","doc":"Use this method to clear the list of pinned messages in a forum topic. The bot must be an administrator in the chat for this to work and must have the can_pin_messages administrator right in the supergroup. Returns True on success.","ref":"Telegex.html#unpin_all_forum_topic_messages/2"},{"type":"function","title":"Telegex.unpin_chat_message/2","doc":"Use this method to remove a message from the list of pinned messages in a chat. If the chat is not a private chat, the bot must be an administrator in the chat for this to work and must have the 'can_pin_messages' administrator right in a supergroup or 'can_edit_messages' administrator right in a channel. Returns True on success.","ref":"Telegex.html#unpin_chat_message/2"},{"type":"function","title":"Telegex.upload_sticker_file/3","doc":"Use this method to upload a file with a sticker for later use in the createNewStickerSet and addStickerToSet methods (the file can be used multiple times). Returns the uploaded File on success.","ref":"Telegex.html#upload_sticker_file/3"},{"type":"behaviour","title":"Telegex.Caller","doc":"Unified call specification for Bot API.","ref":"Telegex.Caller.html"},{"type":"function","title":"Telegex.Caller.call/3","doc":"","ref":"Telegex.Caller.html#call/3"},{"type":"callback","title":"Telegex.Caller.call/3","doc":"","ref":"Telegex.Caller.html#c:call/3"},{"type":"type","title":"Telegex.Caller.error/0","doc":"","ref":"Telegex.Caller.html#t:error/0"},{"type":"module","title":"Telegex.Caller.Adapter","doc":"An adapter to help HTTP clients implement callers.","ref":"Telegex.Caller.Adapter.html"},{"type":"function","title":"Telegex.Caller.Adapter.build_url/1","doc":"","ref":"Telegex.Caller.Adapter.html#build_url/1"},{"type":"function","title":"Telegex.Caller.Adapter.impl/0","doc":"","ref":"Telegex.Caller.Adapter.html#impl/0"},{"type":"function","title":"Telegex.Caller.Adapter.options/0","doc":"","ref":"Telegex.Caller.Adapter.html#options/0"},{"type":"function","title":"Telegex.Caller.Adapter.struct_response/1","doc":"","ref":"Telegex.Caller.Adapter.html#struct_response/1"},{"type":"type","title":"Telegex.Caller.Adapter.config_key/0","doc":"","ref":"Telegex.Caller.Adapter.html#t:config_key/0"},{"type":"module","title":"Telegex.Caller.Adapter.Finch","doc":"Finch based caller adapter.","ref":"Telegex.Caller.Adapter.Finch.html"},{"type":"type","title":"Telegex.Caller.Adapter.Finch.error/0","doc":"","ref":"Telegex.Caller.Adapter.Finch.html#t:error/0"},{"type":"type","title":"Telegex.Caller.Adapter.Finch.req_error/0","doc":"","ref":"Telegex.Caller.Adapter.Finch.html#t:req_error/0"},{"type":"type","title":"Telegex.Caller.Adapter.Finch.req_resp/0","doc":"","ref":"Telegex.Caller.Adapter.Finch.html#t:req_resp/0"},{"type":"module","title":"Telegex.Caller.Adapter.HTTPoison","doc":"HTTPoison based caller adapter.","ref":"Telegex.Caller.Adapter.HTTPoison.html"},{"type":"type","title":"Telegex.Caller.Adapter.HTTPoison.error/0","doc":"","ref":"Telegex.Caller.Adapter.HTTPoison.html#t:error/0"},{"type":"type","title":"Telegex.Caller.Adapter.HTTPoison.httposion_err/0","doc":"","ref":"Telegex.Caller.Adapter.HTTPoison.html#t:httposion_err/0"},{"type":"type","title":"Telegex.Caller.Adapter.HTTPoison.httposion_resp/0","doc":"","ref":"Telegex.Caller.Adapter.HTTPoison.html#t:httposion_resp/0"},{"type":"module","title":"Telegex.Caller.Adapter.Req","doc":"Req based caller adapter.","ref":"Telegex.Caller.Adapter.Req.html"},{"type":"type","title":"Telegex.Caller.Adapter.Req.error/0","doc":"","ref":"Telegex.Caller.Adapter.Req.html#t:error/0"},{"type":"type","title":"Telegex.Caller.Adapter.Req.req_error/0","doc":"","ref":"Telegex.Caller.Adapter.Req.html#t:req_error/0"},{"type":"type","title":"Telegex.Caller.Adapter.Req.req_resp/0","doc":"","ref":"Telegex.Caller.Adapter.Req.html#t:req_resp/0"},{"type":"module","title":"Telegex.Error","doc":"Error result in API response.","ref":"Telegex.Error.html"},{"type":"type","title":"Telegex.Error.t/0","doc":"","ref":"Telegex.Error.html#t:t/0"},{"type":"module","title":"Telegex.Helper","doc":"Some helper functions.","ref":"Telegex.Helper.html"},{"type":"function","title":"Telegex.Helper.typedmap/2","doc":"Convert the map to a struct with type information, which is used in the internal implementation of this function.","ref":"Telegex.Helper.html#typedmap/2"},{"type":"type","title":"Telegex.Helper.datatype/0","doc":"","ref":"Telegex.Helper.html#t:datatype/0"},{"type":"behaviour","title":"Telegex.Hook.Adapter","doc":"Adapters for webhooks, these adapters are usually the underlying layer of plug .","ref":"Telegex.Hook.Adapter.html"},{"type":"callback","title":"Telegex.Hook.Adapter.child_spec/1","doc":"","ref":"Telegex.Hook.Adapter.html#c:child_spec/1"},{"type":"function","title":"Telegex.Hook.Adapter.impl/0","doc":"","ref":"Telegex.Hook.Adapter.html#impl/0"},{"type":"module","title":"Telegex.Hook.Adapter.Bandit","doc":"Based on Bandit webhook server adapter.","ref":"Telegex.Hook.Adapter.Bandit.html"},{"type":"module","title":"Telegex.Hook.Adapter.Cowboy","doc":"Based on Plug.Cowboy webhook server adapter.","ref":"Telegex.Hook.Adapter.Cowboy.html"},{"type":"behaviour","title":"Telegex.Hook.Handler","doc":"Generate your webhook handler, which includes a supervisor with a Plug-based child.","ref":"Telegex.Hook.Handler.html"},{"type":"callback","title":"Telegex.Hook.Handler.on_boot/0","doc":"","ref":"Telegex.Hook.Handler.html#c:on_boot/0"},{"type":"callback","title":"Telegex.Hook.Handler.on_update/1","doc":"","ref":"Telegex.Hook.Handler.html#c:on_update/1"},{"type":"type","title":"Telegex.Hook.Handler.handle_result/0","doc":"","ref":"Telegex.Hook.Handler.html#t:handle_result/0"},{"type":"behaviour","title":"Telegex.Polling.Handler","doc":"Generate your polling handler, which includes a supervisor with poller and consumer children.","ref":"Telegex.Polling.Handler.html"},{"type":"callback","title":"Telegex.Polling.Handler.on_boot/0","doc":"","ref":"Telegex.Polling.Handler.html#c:on_boot/0"},{"type":"callback","title":"Telegex.Polling.Handler.on_failure/1","doc":"","ref":"Telegex.Polling.Handler.html#c:on_failure/1"},{"type":"callback","title":"Telegex.Polling.Handler.on_init/1","doc":"","ref":"Telegex.Polling.Handler.html#c:on_init/1"},{"type":"callback","title":"Telegex.Polling.Handler.on_update/1","doc":"","ref":"Telegex.Polling.Handler.html#c:on_update/1"},{"type":"module","title":"Telegex.RequestError","doc":"Request sending errors, such as network issues such as timeouts, have nothing to do with API response data.","ref":"Telegex.RequestError.html"},{"type":"type","title":"Telegex.RequestError.t/0","doc":"","ref":"Telegex.RequestError.html#t:t/0"},{"type":"module","title":"Telegex.Response","doc":"Raw API response.","ref":"Telegex.Response.html"},{"type":"type","title":"Telegex.Response.t/0","doc":"","ref":"Telegex.Response.html#t:t/0"},{"type":"module","title":"Telegex.Tools","doc":"Some utility functions.","ref":"Telegex.Tools.html"},{"type":"function","title":"Telegex.Tools.safe_html/1","doc":"","ref":"Telegex.Tools.html#safe_html/1"},{"type":"module","title":"Telegex.Type","doc":"All types used in the Bot API responses.","ref":"Telegex.Type.html"},{"type":"type","title":"Telegex.Type.error/0","doc":"","ref":"Telegex.Type.html#t:error/0"},{"type":"module","title":"Telegex.Type.Animation","doc":"This object represents an animation file (GIF or H.264/MPEG-4 AVC video without sound).","ref":"Telegex.Type.Animation.html"},{"type":"type","title":"Telegex.Type.Animation.t/0","doc":"","ref":"Telegex.Type.Animation.html#t:t/0"},{"type":"module","title":"Telegex.Type.Audio","doc":"This object represents an audio file to be treated as music by the Telegram clients.","ref":"Telegex.Type.Audio.html"},{"type":"type","title":"Telegex.Type.Audio.t/0","doc":"","ref":"Telegex.Type.Audio.html#t:t/0"},{"type":"module","title":"Telegex.Type.BotCommand","doc":"This object represents a bot command.","ref":"Telegex.Type.BotCommand.html"},{"type":"type","title":"Telegex.Type.BotCommand.t/0","doc":"","ref":"Telegex.Type.BotCommand.html#t:t/0"},{"type":"module","title":"Telegex.Type.BotCommandScope","doc":"This object represents the scope to which bot commands are applied. Currently, the following 7 scopes are supported:","ref":"Telegex.Type.BotCommandScope.html"},{"type":"type","title":"Telegex.Type.BotCommandScope.t/0","doc":"","ref":"Telegex.Type.BotCommandScope.html#t:t/0"},{"type":"module","title":"Telegex.Type.BotCommandScopeAllChatAdministrators","doc":"Represents the scope of bot commands, covering all group and supergroup chat administrators.","ref":"Telegex.Type.BotCommandScopeAllChatAdministrators.html"},{"type":"type","title":"Telegex.Type.BotCommandScopeAllChatAdministrators.t/0","doc":"","ref":"Telegex.Type.BotCommandScopeAllChatAdministrators.html#t:t/0"},{"type":"module","title":"Telegex.Type.BotCommandScopeAllGroupChats","doc":"Represents the scope of bot commands, covering all group and supergroup chats.","ref":"Telegex.Type.BotCommandScopeAllGroupChats.html"},{"type":"type","title":"Telegex.Type.BotCommandScopeAllGroupChats.t/0","doc":"","ref":"Telegex.Type.BotCommandScopeAllGroupChats.html#t:t/0"},{"type":"module","title":"Telegex.Type.BotCommandScopeAllPrivateChats","doc":"Represents the scope of bot commands, covering all private chats.","ref":"Telegex.Type.BotCommandScopeAllPrivateChats.html"},{"type":"type","title":"Telegex.Type.BotCommandScopeAllPrivateChats.t/0","doc":"","ref":"Telegex.Type.BotCommandScopeAllPrivateChats.html#t:t/0"},{"type":"module","title":"Telegex.Type.BotCommandScopeChat","doc":"Represents the scope of bot commands, covering a specific chat.","ref":"Telegex.Type.BotCommandScopeChat.html"},{"type":"type","title":"Telegex.Type.BotCommandScopeChat.t/0","doc":"","ref":"Telegex.Type.BotCommandScopeChat.html#t:t/0"},{"type":"module","title":"Telegex.Type.BotCommandScopeChatAdministrators","doc":"Represents the scope of bot commands, covering all administrators of a specific group or supergroup chat.","ref":"Telegex.Type.BotCommandScopeChatAdministrators.html"},{"type":"type","title":"Telegex.Type.BotCommandScopeChatAdministrators.t/0","doc":"","ref":"Telegex.Type.BotCommandScopeChatAdministrators.html#t:t/0"},{"type":"module","title":"Telegex.Type.BotCommandScopeChatMember","doc":"Represents the scope of bot commands, covering a specific member of a group or supergroup chat.","ref":"Telegex.Type.BotCommandScopeChatMember.html"},{"type":"type","title":"Telegex.Type.BotCommandScopeChatMember.t/0","doc":"","ref":"Telegex.Type.BotCommandScopeChatMember.html#t:t/0"},{"type":"module","title":"Telegex.Type.BotCommandScopeDefault","doc":"Represents the default scope of bot commands. Default commands are used if no commands with a narrower scope are specified for the user.","ref":"Telegex.Type.BotCommandScopeDefault.html"},{"type":"type","title":"Telegex.Type.BotCommandScopeDefault.t/0","doc":"","ref":"Telegex.Type.BotCommandScopeDefault.html#t:t/0"},{"type":"module","title":"Telegex.Type.BotDescription","doc":"This object represents the bot's description.","ref":"Telegex.Type.BotDescription.html"},{"type":"type","title":"Telegex.Type.BotDescription.t/0","doc":"","ref":"Telegex.Type.BotDescription.html#t:t/0"},{"type":"module","title":"Telegex.Type.BotName","doc":"This object represents the bot's name.","ref":"Telegex.Type.BotName.html"},{"type":"type","title":"Telegex.Type.BotName.t/0","doc":"","ref":"Telegex.Type.BotName.html#t:t/0"},{"type":"module","title":"Telegex.Type.BotShortDescription","doc":"This object represents the bot's short description.","ref":"Telegex.Type.BotShortDescription.html"},{"type":"type","title":"Telegex.Type.BotShortDescription.t/0","doc":"","ref":"Telegex.Type.BotShortDescription.html#t:t/0"},{"type":"module","title":"Telegex.Type.CallbackGame","doc":"A placeholder, currently holds no information. Use BotFather to set up your game.","ref":"Telegex.Type.CallbackGame.html"},{"type":"type","title":"Telegex.Type.CallbackGame.t/0","doc":"","ref":"Telegex.Type.CallbackGame.html#t:t/0"},{"type":"module","title":"Telegex.Type.CallbackQuery","doc":"This object represents an incoming callback query from a callback button in an inline keyboard. If the button that originated the query was attached to a message sent by the bot, the field message will be present. If the button was attached to a message sent via the bot (in inline mode), the field inline_message_id will be present. Exactly one of the fields data or game_short_name will be present.","ref":"Telegex.Type.CallbackQuery.html"},{"type":"type","title":"Telegex.Type.CallbackQuery.t/0","doc":"","ref":"Telegex.Type.CallbackQuery.html#t:t/0"},{"type":"module","title":"Telegex.Type.Chat","doc":"This object represents a chat.","ref":"Telegex.Type.Chat.html"},{"type":"type","title":"Telegex.Type.Chat.t/0","doc":"","ref":"Telegex.Type.Chat.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatAdministratorRights","doc":"Represents the rights of an administrator in a chat.","ref":"Telegex.Type.ChatAdministratorRights.html"},{"type":"type","title":"Telegex.Type.ChatAdministratorRights.t/0","doc":"","ref":"Telegex.Type.ChatAdministratorRights.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatInviteLink","doc":"Represents an invite link for a chat.","ref":"Telegex.Type.ChatInviteLink.html"},{"type":"type","title":"Telegex.Type.ChatInviteLink.t/0","doc":"","ref":"Telegex.Type.ChatInviteLink.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatJoinRequest","doc":"Represents a join request sent to a chat.","ref":"Telegex.Type.ChatJoinRequest.html"},{"type":"type","title":"Telegex.Type.ChatJoinRequest.t/0","doc":"","ref":"Telegex.Type.ChatJoinRequest.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatLocation","doc":"Represents a location to which a chat is connected.","ref":"Telegex.Type.ChatLocation.html"},{"type":"type","title":"Telegex.Type.ChatLocation.t/0","doc":"","ref":"Telegex.Type.ChatLocation.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatMember","doc":"This object contains information about one member of a chat. Currently, the following 6 types of chat members are supported:","ref":"Telegex.Type.ChatMember.html"},{"type":"type","title":"Telegex.Type.ChatMember.t/0","doc":"","ref":"Telegex.Type.ChatMember.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatMemberAdministrator","doc":"Represents a chat member that has some additional privileges.","ref":"Telegex.Type.ChatMemberAdministrator.html"},{"type":"type","title":"Telegex.Type.ChatMemberAdministrator.t/0","doc":"","ref":"Telegex.Type.ChatMemberAdministrator.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatMemberBanned","doc":"Represents a chat member that was banned in the chat and can't return to the chat or view chat messages.","ref":"Telegex.Type.ChatMemberBanned.html"},{"type":"type","title":"Telegex.Type.ChatMemberBanned.t/0","doc":"","ref":"Telegex.Type.ChatMemberBanned.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatMemberLeft","doc":"Represents a chat member that isn't currently a member of the chat, but may join it themselves.","ref":"Telegex.Type.ChatMemberLeft.html"},{"type":"type","title":"Telegex.Type.ChatMemberLeft.t/0","doc":"","ref":"Telegex.Type.ChatMemberLeft.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatMemberMember","doc":"Represents a chat member that has no additional privileges or restrictions.","ref":"Telegex.Type.ChatMemberMember.html"},{"type":"type","title":"Telegex.Type.ChatMemberMember.t/0","doc":"","ref":"Telegex.Type.ChatMemberMember.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatMemberOwner","doc":"Represents a chat member that owns the chat and has all administrator privileges.","ref":"Telegex.Type.ChatMemberOwner.html"},{"type":"type","title":"Telegex.Type.ChatMemberOwner.t/0","doc":"","ref":"Telegex.Type.ChatMemberOwner.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatMemberRestricted","doc":"Represents a chat member that is under certain restrictions in the chat. Supergroups only.","ref":"Telegex.Type.ChatMemberRestricted.html"},{"type":"type","title":"Telegex.Type.ChatMemberRestricted.t/0","doc":"","ref":"Telegex.Type.ChatMemberRestricted.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatMemberUpdated","doc":"This object represents changes in the status of a chat member.","ref":"Telegex.Type.ChatMemberUpdated.html"},{"type":"type","title":"Telegex.Type.ChatMemberUpdated.t/0","doc":"","ref":"Telegex.Type.ChatMemberUpdated.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatPermissions","doc":"Describes actions that a non-administrator user is allowed to take in a chat.","ref":"Telegex.Type.ChatPermissions.html"},{"type":"type","title":"Telegex.Type.ChatPermissions.t/0","doc":"","ref":"Telegex.Type.ChatPermissions.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatPhoto","doc":"This object represents a chat photo.","ref":"Telegex.Type.ChatPhoto.html"},{"type":"type","title":"Telegex.Type.ChatPhoto.t/0","doc":"","ref":"Telegex.Type.ChatPhoto.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChatShared","doc":"This object contains information about the chat whose identifier was shared with the bot using a KeyboardButtonRequestChat button.","ref":"Telegex.Type.ChatShared.html"},{"type":"type","title":"Telegex.Type.ChatShared.t/0","doc":"","ref":"Telegex.Type.ChatShared.html#t:t/0"},{"type":"module","title":"Telegex.Type.ChosenInlineResult","doc":"Represents a result of an inline query that was chosen by the user and sent to their chat partner.","ref":"Telegex.Type.ChosenInlineResult.html"},{"type":"type","title":"Telegex.Type.ChosenInlineResult.t/0","doc":"","ref":"Telegex.Type.ChosenInlineResult.html#t:t/0"},{"type":"module","title":"Telegex.Type.Contact","doc":"This object represents a phone contact.","ref":"Telegex.Type.Contact.html"},{"type":"type","title":"Telegex.Type.Contact.t/0","doc":"","ref":"Telegex.Type.Contact.html#t:t/0"},{"type":"module","title":"Telegex.Type.Dice","doc":"This object represents an animated emoji that displays a random value.","ref":"Telegex.Type.Dice.html"},{"type":"type","title":"Telegex.Type.Dice.t/0","doc":"","ref":"Telegex.Type.Dice.html#t:t/0"},{"type":"module","title":"Telegex.Type.Document","doc":"This object represents a general file (as opposed to photos, voice messages and audio files).","ref":"Telegex.Type.Document.html"},{"type":"type","title":"Telegex.Type.Document.t/0","doc":"","ref":"Telegex.Type.Document.html#t:t/0"},{"type":"module","title":"Telegex.Type.EncryptedCredentials","doc":"Describes data required for decrypting and authenticating EncryptedPassportElement. See the Telegram Passport Documentation for a complete description of the data decryption and authentication processes.","ref":"Telegex.Type.EncryptedCredentials.html"},{"type":"type","title":"Telegex.Type.EncryptedCredentials.t/0","doc":"","ref":"Telegex.Type.EncryptedCredentials.html#t:t/0"},{"type":"module","title":"Telegex.Type.EncryptedPassportElement","doc":"Describes documents or other Telegram Passport elements shared with the bot by the user.","ref":"Telegex.Type.EncryptedPassportElement.html"},{"type":"type","title":"Telegex.Type.EncryptedPassportElement.t/0","doc":"","ref":"Telegex.Type.EncryptedPassportElement.html#t:t/0"},{"type":"module","title":"Telegex.Type.File","doc":"This object represents a file ready to be downloaded. The file can be downloaded via the link https://api.telegram.org/file/bot &lt;token&gt;/&lt;file_path&gt;. It is guaranteed that the link will be valid for at least 1 hour. When the link expires, a new one can be requested by calling getFile.","ref":"Telegex.Type.File.html"},{"type":"type","title":"Telegex.Type.File.t/0","doc":"","ref":"Telegex.Type.File.html#t:t/0"},{"type":"module","title":"Telegex.Type.ForceReply","doc":"Upon receiving a message with this object, Telegram clients will display a reply interface to the user (act as if the user has selected the bot's message and tapped 'Reply'). This can be extremely useful if you want to create user-friendly step-by-step interfaces without having to sacrifice privacy mode.","ref":"Telegex.Type.ForceReply.html"},{"type":"type","title":"Telegex.Type.ForceReply.t/0","doc":"","ref":"Telegex.Type.ForceReply.html#t:t/0"},{"type":"module","title":"Telegex.Type.ForumTopic","doc":"This object represents a forum topic.","ref":"Telegex.Type.ForumTopic.html"},{"type":"type","title":"Telegex.Type.ForumTopic.t/0","doc":"","ref":"Telegex.Type.ForumTopic.html#t:t/0"},{"type":"module","title":"Telegex.Type.ForumTopicClosed","doc":"This object represents a service message about a forum topic closed in the chat. Currently holds no information.","ref":"Telegex.Type.ForumTopicClosed.html"},{"type":"type","title":"Telegex.Type.ForumTopicClosed.t/0","doc":"","ref":"Telegex.Type.ForumTopicClosed.html#t:t/0"},{"type":"module","title":"Telegex.Type.ForumTopicCreated","doc":"This object represents a service message about a new forum topic created in the chat.","ref":"Telegex.Type.ForumTopicCreated.html"},{"type":"type","title":"Telegex.Type.ForumTopicCreated.t/0","doc":"","ref":"Telegex.Type.ForumTopicCreated.html#t:t/0"},{"type":"module","title":"Telegex.Type.ForumTopicEdited","doc":"This object represents a service message about an edited forum topic.","ref":"Telegex.Type.ForumTopicEdited.html"},{"type":"type","title":"Telegex.Type.ForumTopicEdited.t/0","doc":"","ref":"Telegex.Type.ForumTopicEdited.html#t:t/0"},{"type":"module","title":"Telegex.Type.ForumTopicReopened","doc":"This object represents a service message about a forum topic reopened in the chat. Currently holds no information.","ref":"Telegex.Type.ForumTopicReopened.html"},{"type":"type","title":"Telegex.Type.ForumTopicReopened.t/0","doc":"","ref":"Telegex.Type.ForumTopicReopened.html#t:t/0"},{"type":"module","title":"Telegex.Type.Game","doc":"This object represents a game. Use BotFather to create and edit games, their short names will act as unique identifiers.","ref":"Telegex.Type.Game.html"},{"type":"type","title":"Telegex.Type.Game.t/0","doc":"","ref":"Telegex.Type.Game.html#t:t/0"},{"type":"module","title":"Telegex.Type.GameHighScore","doc":"This object represents one row of the high scores table for a game.","ref":"Telegex.Type.GameHighScore.html"},{"type":"type","title":"Telegex.Type.GameHighScore.t/0","doc":"","ref":"Telegex.Type.GameHighScore.html#t:t/0"},{"type":"module","title":"Telegex.Type.GeneralForumTopicHidden","doc":"This object represents a service message about General forum topic hidden in the chat. Currently holds no information.","ref":"Telegex.Type.GeneralForumTopicHidden.html"},{"type":"type","title":"Telegex.Type.GeneralForumTopicHidden.t/0","doc":"","ref":"Telegex.Type.GeneralForumTopicHidden.html#t:t/0"},{"type":"module","title":"Telegex.Type.GeneralForumTopicUnhidden","doc":"This object represents a service message about General forum topic unhidden in the chat. Currently holds no information.","ref":"Telegex.Type.GeneralForumTopicUnhidden.html"},{"type":"type","title":"Telegex.Type.GeneralForumTopicUnhidden.t/0","doc":"","ref":"Telegex.Type.GeneralForumTopicUnhidden.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineKeyboardButton","doc":"This object represents one button of an inline keyboard. You must use exactly one of the optional fields.","ref":"Telegex.Type.InlineKeyboardButton.html"},{"type":"type","title":"Telegex.Type.InlineKeyboardButton.t/0","doc":"","ref":"Telegex.Type.InlineKeyboardButton.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineKeyboardMarkup","doc":"This object represents an inline keyboard that appears right next to the message it belongs to.","ref":"Telegex.Type.InlineKeyboardMarkup.html"},{"type":"type","title":"Telegex.Type.InlineKeyboardMarkup.t/0","doc":"","ref":"Telegex.Type.InlineKeyboardMarkup.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQuery","doc":"This object represents an incoming inline query. When the user sends an empty query, your bot could return some default or trending results.","ref":"Telegex.Type.InlineQuery.html"},{"type":"type","title":"Telegex.Type.InlineQuery.t/0","doc":"","ref":"Telegex.Type.InlineQuery.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResult","doc":"This object represents one result of an inline query. Telegram clients currently support results of the following 20 types:","ref":"Telegex.Type.InlineQueryResult.html"},{"type":"type","title":"Telegex.Type.InlineQueryResult.t/0","doc":"","ref":"Telegex.Type.InlineQueryResult.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultArticle","doc":"Represents a link to an article or web page.","ref":"Telegex.Type.InlineQueryResultArticle.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultArticle.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultArticle.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultAudio","doc":"Represents a link to an MP3 audio file. By default, this audio file will be sent by the user. Alternatively, you can use input_message_content to send a message with the specified content instead of the audio.","ref":"Telegex.Type.InlineQueryResultAudio.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultAudio.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultAudio.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultCachedAudio","doc":"Represents a link to an MP3 audio file stored on the Telegram servers. By default, this audio file will be sent by the user. Alternatively, you can use input_message_content to send a message with the specified content instead of the audio.","ref":"Telegex.Type.InlineQueryResultCachedAudio.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultCachedAudio.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultCachedAudio.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultCachedDocument","doc":"Represents a link to a file stored on the Telegram servers. By default, this file will be sent by the user with an optional caption. Alternatively, you can use input_message_content to send a message with the specified content instead of the file.","ref":"Telegex.Type.InlineQueryResultCachedDocument.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultCachedDocument.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultCachedDocument.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultCachedGif","doc":"Represents a link to an animated GIF file stored on the Telegram servers. By default, this animated GIF file will be sent by the user with an optional caption. Alternatively, you can use input_message_content to send a message with specified content instead of the animation.","ref":"Telegex.Type.InlineQueryResultCachedGif.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultCachedGif.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultCachedGif.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultCachedMpeg4Gif","doc":"Represents a link to a video animation (H.264/MPEG-4 AVC video without sound) stored on the Telegram servers. By default, this animated MPEG-4 file will be sent by the user with an optional caption. Alternatively, you can use input_message_content to send a message with the specified content instead of the animation.","ref":"Telegex.Type.InlineQueryResultCachedMpeg4Gif.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultCachedMpeg4Gif.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultCachedMpeg4Gif.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultCachedPhoto","doc":"Represents a link to a photo stored on the Telegram servers. By default, this photo will be sent by the user with an optional caption. Alternatively, you can use input_message_content to send a message with the specified content instead of the photo.","ref":"Telegex.Type.InlineQueryResultCachedPhoto.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultCachedPhoto.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultCachedPhoto.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultCachedSticker","doc":"Represents a link to a sticker stored on the Telegram servers. By default, this sticker will be sent by the user. Alternatively, you can use input_message_content to send a message with the specified content instead of the sticker.","ref":"Telegex.Type.InlineQueryResultCachedSticker.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultCachedSticker.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultCachedSticker.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultCachedVideo","doc":"Represents a link to a video file stored on the Telegram servers. By default, this video file will be sent by the user with an optional caption. Alternatively, you can use input_message_content to send a message with the specified content instead of the video.","ref":"Telegex.Type.InlineQueryResultCachedVideo.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultCachedVideo.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultCachedVideo.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultCachedVoice","doc":"Represents a link to a voice message stored on the Telegram servers. By default, this voice message will be sent by the user. Alternatively, you can use input_message_content to send a message with the specified content instead of the voice message.","ref":"Telegex.Type.InlineQueryResultCachedVoice.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultCachedVoice.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultCachedVoice.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultContact","doc":"Represents a contact with a phone number. By default, this contact will be sent by the user. Alternatively, you can use input_message_content to send a message with the specified content instead of the contact.","ref":"Telegex.Type.InlineQueryResultContact.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultContact.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultContact.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultDocument","doc":"Represents a link to a file. By default, this file will be sent by the user with an optional caption. Alternatively, you can use input_message_content to send a message with the specified content instead of the file. Currently, only .PDF and .ZIP files can be sent using this method.","ref":"Telegex.Type.InlineQueryResultDocument.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultDocument.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultDocument.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultGame","doc":"Represents a Game.","ref":"Telegex.Type.InlineQueryResultGame.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultGame.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultGame.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultGif","doc":"Represents a link to an animated GIF file. By default, this animated GIF file will be sent by the user with optional caption. Alternatively, you can use input_message_content to send a message with the specified content instead of the animation.","ref":"Telegex.Type.InlineQueryResultGif.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultGif.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultGif.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultLocation","doc":"Represents a location on a map. By default, the location will be sent by the user. Alternatively, you can use input_message_content to send a message with the specified content instead of the location.","ref":"Telegex.Type.InlineQueryResultLocation.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultLocation.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultLocation.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultMpeg4Gif","doc":"Represents a link to a video animation (H.264/MPEG-4 AVC video without sound). By default, this animated MPEG-4 file will be sent by the user with optional caption. Alternatively, you can use input_message_content to send a message with the specified content instead of the animation.","ref":"Telegex.Type.InlineQueryResultMpeg4Gif.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultMpeg4Gif.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultMpeg4Gif.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultPhoto","doc":"Represents a link to a photo. By default, this photo will be sent by the user with optional caption. Alternatively, you can use input_message_content to send a message with the specified content instead of the photo.","ref":"Telegex.Type.InlineQueryResultPhoto.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultPhoto.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultPhoto.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultVenue","doc":"Represents a venue. By default, the venue will be sent by the user. Alternatively, you can use input_message_content to send a message with the specified content instead of the venue.","ref":"Telegex.Type.InlineQueryResultVenue.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultVenue.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultVenue.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultVideo","doc":"Represents a link to a page containing an embedded video player or a video file. By default, this video file will be sent by the user with an optional caption. Alternatively, you can use input_message_content to send a message with the specified content instead of the video.","ref":"Telegex.Type.InlineQueryResultVideo.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultVideo.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultVideo.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultVoice","doc":"Represents a link to a voice recording in an .OGG container encoded with OPUS. By default, this voice recording will be sent by the user. Alternatively, you can use input_message_content to send a message with the specified content instead of the the voice message.","ref":"Telegex.Type.InlineQueryResultVoice.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultVoice.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultVoice.html#t:t/0"},{"type":"module","title":"Telegex.Type.InlineQueryResultsButton","doc":"This object represents a button to be shown above inline query results. You must use exactly one of the optional fields.","ref":"Telegex.Type.InlineQueryResultsButton.html"},{"type":"type","title":"Telegex.Type.InlineQueryResultsButton.t/0","doc":"","ref":"Telegex.Type.InlineQueryResultsButton.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputContactMessageContent","doc":"Represents the content of a contact message to be sent as the result of an inline query.","ref":"Telegex.Type.InputContactMessageContent.html"},{"type":"type","title":"Telegex.Type.InputContactMessageContent.t/0","doc":"","ref":"Telegex.Type.InputContactMessageContent.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputFile","doc":"This object represents the contents of a file to be uploaded. Must be posted using multipart/form-data in the usual way that files are uploaded via the browser.","ref":"Telegex.Type.InputFile.html"},{"type":"type","title":"Telegex.Type.InputFile.t/0","doc":"","ref":"Telegex.Type.InputFile.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputInvoiceMessageContent","doc":"Represents the content of an invoice message to be sent as the result of an inline query.","ref":"Telegex.Type.InputInvoiceMessageContent.html"},{"type":"type","title":"Telegex.Type.InputInvoiceMessageContent.t/0","doc":"","ref":"Telegex.Type.InputInvoiceMessageContent.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputLocationMessageContent","doc":"Represents the content of a location message to be sent as the result of an inline query.","ref":"Telegex.Type.InputLocationMessageContent.html"},{"type":"type","title":"Telegex.Type.InputLocationMessageContent.t/0","doc":"","ref":"Telegex.Type.InputLocationMessageContent.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputMedia","doc":"This object represents the content of a media message to be sent. It should be one of","ref":"Telegex.Type.InputMedia.html"},{"type":"type","title":"Telegex.Type.InputMedia.t/0","doc":"","ref":"Telegex.Type.InputMedia.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputMediaAnimation","doc":"Represents an animation file (GIF or H.264/MPEG-4 AVC video without sound) to be sent.","ref":"Telegex.Type.InputMediaAnimation.html"},{"type":"type","title":"Telegex.Type.InputMediaAnimation.t/0","doc":"","ref":"Telegex.Type.InputMediaAnimation.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputMediaAudio","doc":"Represents an audio file to be treated as music to be sent.","ref":"Telegex.Type.InputMediaAudio.html"},{"type":"type","title":"Telegex.Type.InputMediaAudio.t/0","doc":"","ref":"Telegex.Type.InputMediaAudio.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputMediaDocument","doc":"Represents a general file to be sent.","ref":"Telegex.Type.InputMediaDocument.html"},{"type":"type","title":"Telegex.Type.InputMediaDocument.t/0","doc":"","ref":"Telegex.Type.InputMediaDocument.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputMediaPhoto","doc":"Represents a photo to be sent.","ref":"Telegex.Type.InputMediaPhoto.html"},{"type":"type","title":"Telegex.Type.InputMediaPhoto.t/0","doc":"","ref":"Telegex.Type.InputMediaPhoto.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputMediaVideo","doc":"Represents a video to be sent.","ref":"Telegex.Type.InputMediaVideo.html"},{"type":"type","title":"Telegex.Type.InputMediaVideo.t/0","doc":"","ref":"Telegex.Type.InputMediaVideo.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputMessageContent","doc":"This object represents the content of a message to be sent as a result of an inline query. Telegram clients currently support the following 5 types:","ref":"Telegex.Type.InputMessageContent.html"},{"type":"type","title":"Telegex.Type.InputMessageContent.t/0","doc":"","ref":"Telegex.Type.InputMessageContent.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputSticker","doc":"This object describes a sticker to be added to a sticker set.","ref":"Telegex.Type.InputSticker.html"},{"type":"type","title":"Telegex.Type.InputSticker.t/0","doc":"","ref":"Telegex.Type.InputSticker.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputTextMessageContent","doc":"Represents the content of a text message to be sent as the result of an inline query.","ref":"Telegex.Type.InputTextMessageContent.html"},{"type":"type","title":"Telegex.Type.InputTextMessageContent.t/0","doc":"","ref":"Telegex.Type.InputTextMessageContent.html#t:t/0"},{"type":"module","title":"Telegex.Type.InputVenueMessageContent","doc":"Represents the content of a venue message to be sent as the result of an inline query.","ref":"Telegex.Type.InputVenueMessageContent.html"},{"type":"type","title":"Telegex.Type.InputVenueMessageContent.t/0","doc":"","ref":"Telegex.Type.InputVenueMessageContent.html#t:t/0"},{"type":"module","title":"Telegex.Type.Invoice","doc":"This object contains basic information about an invoice.","ref":"Telegex.Type.Invoice.html"},{"type":"type","title":"Telegex.Type.Invoice.t/0","doc":"","ref":"Telegex.Type.Invoice.html#t:t/0"},{"type":"module","title":"Telegex.Type.KeyboardButton","doc":"This object represents one button of the reply keyboard. For simple text buttons, String can be used instead of this object to specify the button text. The optional fields web_app, request_user, request_chat, request_contact, request_location, and request_poll are mutually exclusive.","ref":"Telegex.Type.KeyboardButton.html"},{"type":"type","title":"Telegex.Type.KeyboardButton.t/0","doc":"","ref":"Telegex.Type.KeyboardButton.html#t:t/0"},{"type":"module","title":"Telegex.Type.KeyboardButtonPollType","doc":"This object represents type of a poll, which is allowed to be created and sent when the corresponding button is pressed.","ref":"Telegex.Type.KeyboardButtonPollType.html"},{"type":"type","title":"Telegex.Type.KeyboardButtonPollType.t/0","doc":"","ref":"Telegex.Type.KeyboardButtonPollType.html#t:t/0"},{"type":"module","title":"Telegex.Type.KeyboardButtonRequestChat","doc":"This object defines the criteria used to request a suitable chat. The identifier of the selected chat will be shared with the bot when the corresponding button is pressed. More about requesting chats »","ref":"Telegex.Type.KeyboardButtonRequestChat.html"},{"type":"type","title":"Telegex.Type.KeyboardButtonRequestChat.t/0","doc":"","ref":"Telegex.Type.KeyboardButtonRequestChat.html#t:t/0"},{"type":"module","title":"Telegex.Type.KeyboardButtonRequestUser","doc":"This object defines the criteria used to request a suitable user. The identifier of the selected user will be shared with the bot when the corresponding button is pressed. More about requesting users »","ref":"Telegex.Type.KeyboardButtonRequestUser.html"},{"type":"type","title":"Telegex.Type.KeyboardButtonRequestUser.t/0","doc":"","ref":"Telegex.Type.KeyboardButtonRequestUser.html#t:t/0"},{"type":"module","title":"Telegex.Type.LabeledPrice","doc":"This object represents a portion of the price for goods or services.","ref":"Telegex.Type.LabeledPrice.html"},{"type":"type","title":"Telegex.Type.LabeledPrice.t/0","doc":"","ref":"Telegex.Type.LabeledPrice.html#t:t/0"},{"type":"module","title":"Telegex.Type.Location","doc":"This object represents a point on the map.","ref":"Telegex.Type.Location.html"},{"type":"type","title":"Telegex.Type.Location.t/0","doc":"","ref":"Telegex.Type.Location.html#t:t/0"},{"type":"module","title":"Telegex.Type.LoginUrl","doc":"This object represents a parameter of the inline keyboard button used to automatically authorize a user. Serves as a great replacement for the Telegram Login Widget when the user is coming from Telegram. All the user needs to do is tap/click a button and confirm that they want to log in:","ref":"Telegex.Type.LoginUrl.html"},{"type":"type","title":"Telegex.Type.LoginUrl.t/0","doc":"","ref":"Telegex.Type.LoginUrl.html#t:t/0"},{"type":"module","title":"Telegex.Type.MaskPosition","doc":"This object describes the position on faces where a mask should be placed by default.","ref":"Telegex.Type.MaskPosition.html"},{"type":"type","title":"Telegex.Type.MaskPosition.t/0","doc":"","ref":"Telegex.Type.MaskPosition.html#t:t/0"},{"type":"module","title":"Telegex.Type.MenuButton","doc":"This object describes the bot's menu button in a private chat. It should be one of","ref":"Telegex.Type.MenuButton.html"},{"type":"type","title":"Telegex.Type.MenuButton.t/0","doc":"","ref":"Telegex.Type.MenuButton.html#t:t/0"},{"type":"module","title":"Telegex.Type.MenuButtonCommands","doc":"Represents a menu button, which opens the bot's list of commands.","ref":"Telegex.Type.MenuButtonCommands.html"},{"type":"type","title":"Telegex.Type.MenuButtonCommands.t/0","doc":"","ref":"Telegex.Type.MenuButtonCommands.html#t:t/0"},{"type":"module","title":"Telegex.Type.MenuButtonDefault","doc":"Describes that no specific value for the menu button was set.","ref":"Telegex.Type.MenuButtonDefault.html"},{"type":"type","title":"Telegex.Type.MenuButtonDefault.t/0","doc":"","ref":"Telegex.Type.MenuButtonDefault.html#t:t/0"},{"type":"module","title":"Telegex.Type.MenuButtonWebApp","doc":"Represents a menu button, which launches a Web App.","ref":"Telegex.Type.MenuButtonWebApp.html"},{"type":"type","title":"Telegex.Type.MenuButtonWebApp.t/0","doc":"","ref":"Telegex.Type.MenuButtonWebApp.html#t:t/0"},{"type":"module","title":"Telegex.Type.Message","doc":"This object represents a message.","ref":"Telegex.Type.Message.html"},{"type":"type","title":"Telegex.Type.Message.t/0","doc":"","ref":"Telegex.Type.Message.html#t:t/0"},{"type":"module","title":"Telegex.Type.MessageAutoDeleteTimerChanged","doc":"This object represents a service message about a change in auto-delete timer settings.","ref":"Telegex.Type.MessageAutoDeleteTimerChanged.html"},{"type":"type","title":"Telegex.Type.MessageAutoDeleteTimerChanged.t/0","doc":"","ref":"Telegex.Type.MessageAutoDeleteTimerChanged.html#t:t/0"},{"type":"module","title":"Telegex.Type.MessageEntity","doc":"This object represents one special entity in a text message. For example, hashtags, usernames, URLs, etc.","ref":"Telegex.Type.MessageEntity.html"},{"type":"type","title":"Telegex.Type.MessageEntity.t/0","doc":"","ref":"Telegex.Type.MessageEntity.html#t:t/0"},{"type":"module","title":"Telegex.Type.MessageId","doc":"This object represents a unique message identifier.","ref":"Telegex.Type.MessageId.html"},{"type":"type","title":"Telegex.Type.MessageId.t/0","doc":"","ref":"Telegex.Type.MessageId.html#t:t/0"},{"type":"module","title":"Telegex.Type.OrderInfo","doc":"This object represents information about an order.","ref":"Telegex.Type.OrderInfo.html"},{"type":"type","title":"Telegex.Type.OrderInfo.t/0","doc":"","ref":"Telegex.Type.OrderInfo.html#t:t/0"},{"type":"module","title":"Telegex.Type.PassportData","doc":"Describes Telegram Passport data shared with the bot by the user.","ref":"Telegex.Type.PassportData.html"},{"type":"type","title":"Telegex.Type.PassportData.t/0","doc":"","ref":"Telegex.Type.PassportData.html#t:t/0"},{"type":"module","title":"Telegex.Type.PassportElementError","doc":"This object represents an error in the Telegram Passport element which was submitted that should be resolved by the user. It should be one of:","ref":"Telegex.Type.PassportElementError.html"},{"type":"type","title":"Telegex.Type.PassportElementError.t/0","doc":"","ref":"Telegex.Type.PassportElementError.html#t:t/0"},{"type":"module","title":"Telegex.Type.PassportElementErrorDataField","doc":"Represents an issue in one of the data fields that was provided by the user. The error is considered resolved when the field's value changes.","ref":"Telegex.Type.PassportElementErrorDataField.html"},{"type":"type","title":"Telegex.Type.PassportElementErrorDataField.t/0","doc":"","ref":"Telegex.Type.PassportElementErrorDataField.html#t:t/0"},{"type":"module","title":"Telegex.Type.PassportElementErrorFile","doc":"Represents an issue with a document scan. The error is considered resolved when the file with the document scan changes.","ref":"Telegex.Type.PassportElementErrorFile.html"},{"type":"type","title":"Telegex.Type.PassportElementErrorFile.t/0","doc":"","ref":"Telegex.Type.PassportElementErrorFile.html#t:t/0"},{"type":"module","title":"Telegex.Type.PassportElementErrorFiles","doc":"Represents an issue with a list of scans. The error is considered resolved when the list of files containing the scans changes.","ref":"Telegex.Type.PassportElementErrorFiles.html"},{"type":"type","title":"Telegex.Type.PassportElementErrorFiles.t/0","doc":"","ref":"Telegex.Type.PassportElementErrorFiles.html#t:t/0"},{"type":"module","title":"Telegex.Type.PassportElementErrorFrontSide","doc":"Represents an issue with the front side of a document. The error is considered resolved when the file with the front side of the document changes.","ref":"Telegex.Type.PassportElementErrorFrontSide.html"},{"type":"type","title":"Telegex.Type.PassportElementErrorFrontSide.t/0","doc":"","ref":"Telegex.Type.PassportElementErrorFrontSide.html#t:t/0"},{"type":"module","title":"Telegex.Type.PassportElementErrorReverseSide","doc":"Represents an issue with the reverse side of a document. The error is considered resolved when the file with reverse side of the document changes.","ref":"Telegex.Type.PassportElementErrorReverseSide.html"},{"type":"type","title":"Telegex.Type.PassportElementErrorReverseSide.t/0","doc":"","ref":"Telegex.Type.PassportElementErrorReverseSide.html#t:t/0"},{"type":"module","title":"Telegex.Type.PassportElementErrorSelfie","doc":"Represents an issue with the selfie with a document. The error is considered resolved when the file with the selfie changes.","ref":"Telegex.Type.PassportElementErrorSelfie.html"},{"type":"type","title":"Telegex.Type.PassportElementErrorSelfie.t/0","doc":"","ref":"Telegex.Type.PassportElementErrorSelfie.html#t:t/0"},{"type":"module","title":"Telegex.Type.PassportElementErrorTranslationFile","doc":"Represents an issue with one of the files that constitute the translation of a document. The error is considered resolved when the file changes.","ref":"Telegex.Type.PassportElementErrorTranslationFile.html"},{"type":"type","title":"Telegex.Type.PassportElementErrorTranslationFile.t/0","doc":"","ref":"Telegex.Type.PassportElementErrorTranslationFile.html#t:t/0"},{"type":"module","title":"Telegex.Type.PassportElementErrorTranslationFiles","doc":"Represents an issue with the translated version of a document. The error is considered resolved when a file with the document translation change.","ref":"Telegex.Type.PassportElementErrorTranslationFiles.html"},{"type":"type","title":"Telegex.Type.PassportElementErrorTranslationFiles.t/0","doc":"","ref":"Telegex.Type.PassportElementErrorTranslationFiles.html#t:t/0"},{"type":"module","title":"Telegex.Type.PassportElementErrorUnspecified","doc":"Represents an issue in an unspecified place. The error is considered resolved when new data is added.","ref":"Telegex.Type.PassportElementErrorUnspecified.html"},{"type":"type","title":"Telegex.Type.PassportElementErrorUnspecified.t/0","doc":"","ref":"Telegex.Type.PassportElementErrorUnspecified.html#t:t/0"},{"type":"module","title":"Telegex.Type.PassportFile","doc":"This object represents a file uploaded to Telegram Passport. Currently all Telegram Passport files are in JPEG format when decrypted and don't exceed 10MB.","ref":"Telegex.Type.PassportFile.html"},{"type":"type","title":"Telegex.Type.PassportFile.t/0","doc":"","ref":"Telegex.Type.PassportFile.html#t:t/0"},{"type":"module","title":"Telegex.Type.PhotoSize","doc":"This object represents one size of a photo or a file / sticker thumbnail.","ref":"Telegex.Type.PhotoSize.html"},{"type":"type","title":"Telegex.Type.PhotoSize.t/0","doc":"","ref":"Telegex.Type.PhotoSize.html#t:t/0"},{"type":"module","title":"Telegex.Type.Poll","doc":"This object contains information about a poll.","ref":"Telegex.Type.Poll.html"},{"type":"type","title":"Telegex.Type.Poll.t/0","doc":"","ref":"Telegex.Type.Poll.html#t:t/0"},{"type":"module","title":"Telegex.Type.PollAnswer","doc":"This object represents an answer of a user in a non-anonymous poll.","ref":"Telegex.Type.PollAnswer.html"},{"type":"type","title":"Telegex.Type.PollAnswer.t/0","doc":"","ref":"Telegex.Type.PollAnswer.html#t:t/0"},{"type":"module","title":"Telegex.Type.PollOption","doc":"This object contains information about one answer option in a poll.","ref":"Telegex.Type.PollOption.html"},{"type":"type","title":"Telegex.Type.PollOption.t/0","doc":"","ref":"Telegex.Type.PollOption.html#t:t/0"},{"type":"module","title":"Telegex.Type.PreCheckoutQuery","doc":"This object contains information about an incoming pre-checkout query.","ref":"Telegex.Type.PreCheckoutQuery.html"},{"type":"type","title":"Telegex.Type.PreCheckoutQuery.t/0","doc":"","ref":"Telegex.Type.PreCheckoutQuery.html#t:t/0"},{"type":"module","title":"Telegex.Type.ProximityAlertTriggered","doc":"This object represents the content of a service message, sent whenever a user in the chat triggers a proximity alert set by another user.","ref":"Telegex.Type.ProximityAlertTriggered.html"},{"type":"type","title":"Telegex.Type.ProximityAlertTriggered.t/0","doc":"","ref":"Telegex.Type.ProximityAlertTriggered.html#t:t/0"},{"type":"module","title":"Telegex.Type.ReplyKeyboardMarkup","doc":"This object represents a custom keyboard with reply options (see Introduction to bots for details and examples).","ref":"Telegex.Type.ReplyKeyboardMarkup.html"},{"type":"type","title":"Telegex.Type.ReplyKeyboardMarkup.t/0","doc":"","ref":"Telegex.Type.ReplyKeyboardMarkup.html#t:t/0"},{"type":"module","title":"Telegex.Type.ReplyKeyboardRemove","doc":"Upon receiving a message with this object, Telegram clients will remove the current custom keyboard and display the default letter-keyboard. By default, custom keyboards are displayed until a new keyboard is sent by a bot. An exception is made for one-time keyboards that are hidden immediately after the user presses a button (see ReplyKeyboardMarkup).","ref":"Telegex.Type.ReplyKeyboardRemove.html"},{"type":"type","title":"Telegex.Type.ReplyKeyboardRemove.t/0","doc":"","ref":"Telegex.Type.ReplyKeyboardRemove.html#t:t/0"},{"type":"module","title":"Telegex.Type.ResponseParameters","doc":"Describes why a request was unsuccessful.","ref":"Telegex.Type.ResponseParameters.html"},{"type":"type","title":"Telegex.Type.ResponseParameters.t/0","doc":"","ref":"Telegex.Type.ResponseParameters.html#t:t/0"},{"type":"module","title":"Telegex.Type.SentWebAppMessage","doc":"Describes an inline message sent by a Web App on behalf of a user.","ref":"Telegex.Type.SentWebAppMessage.html"},{"type":"type","title":"Telegex.Type.SentWebAppMessage.t/0","doc":"","ref":"Telegex.Type.SentWebAppMessage.html#t:t/0"},{"type":"module","title":"Telegex.Type.ShippingAddress","doc":"This object represents a shipping address.","ref":"Telegex.Type.ShippingAddress.html"},{"type":"type","title":"Telegex.Type.ShippingAddress.t/0","doc":"","ref":"Telegex.Type.ShippingAddress.html#t:t/0"},{"type":"module","title":"Telegex.Type.ShippingOption","doc":"This object represents one shipping option.","ref":"Telegex.Type.ShippingOption.html"},{"type":"type","title":"Telegex.Type.ShippingOption.t/0","doc":"","ref":"Telegex.Type.ShippingOption.html#t:t/0"},{"type":"module","title":"Telegex.Type.ShippingQuery","doc":"This object contains information about an incoming shipping query.","ref":"Telegex.Type.ShippingQuery.html"},{"type":"type","title":"Telegex.Type.ShippingQuery.t/0","doc":"","ref":"Telegex.Type.ShippingQuery.html#t:t/0"},{"type":"module","title":"Telegex.Type.Sticker","doc":"This object represents a sticker.","ref":"Telegex.Type.Sticker.html"},{"type":"type","title":"Telegex.Type.Sticker.t/0","doc":"","ref":"Telegex.Type.Sticker.html#t:t/0"},{"type":"module","title":"Telegex.Type.StickerSet","doc":"This object represents a sticker set.","ref":"Telegex.Type.StickerSet.html"},{"type":"type","title":"Telegex.Type.StickerSet.t/0","doc":"","ref":"Telegex.Type.StickerSet.html#t:t/0"},{"type":"module","title":"Telegex.Type.SuccessfulPayment","doc":"This object contains basic information about a successful payment.","ref":"Telegex.Type.SuccessfulPayment.html"},{"type":"type","title":"Telegex.Type.SuccessfulPayment.t/0","doc":"","ref":"Telegex.Type.SuccessfulPayment.html#t:t/0"},{"type":"module","title":"Telegex.Type.SwitchInlineQueryChosenChat","doc":"This object represents an inline button that switches the current user to inline mode in a chosen chat, with an optional default inline query.","ref":"Telegex.Type.SwitchInlineQueryChosenChat.html"},{"type":"type","title":"Telegex.Type.SwitchInlineQueryChosenChat.t/0","doc":"","ref":"Telegex.Type.SwitchInlineQueryChosenChat.html#t:t/0"},{"type":"module","title":"Telegex.Type.Update","doc":"This object represents an incoming update. At most one of the optional parameters can be present in any given update.","ref":"Telegex.Type.Update.html"},{"type":"type","title":"Telegex.Type.Update.t/0","doc":"","ref":"Telegex.Type.Update.html#t:t/0"},{"type":"module","title":"Telegex.Type.User","doc":"This object represents a Telegram user or bot.","ref":"Telegex.Type.User.html"},{"type":"type","title":"Telegex.Type.User.t/0","doc":"","ref":"Telegex.Type.User.html#t:t/0"},{"type":"module","title":"Telegex.Type.UserProfilePhotos","doc":"This object represent a user's profile pictures.","ref":"Telegex.Type.UserProfilePhotos.html"},{"type":"type","title":"Telegex.Type.UserProfilePhotos.t/0","doc":"","ref":"Telegex.Type.UserProfilePhotos.html#t:t/0"},{"type":"module","title":"Telegex.Type.UserShared","doc":"This object contains information about the user whose identifier was shared with the bot using a KeyboardButtonRequestUser button.","ref":"Telegex.Type.UserShared.html"},{"type":"type","title":"Telegex.Type.UserShared.t/0","doc":"","ref":"Telegex.Type.UserShared.html#t:t/0"},{"type":"module","title":"Telegex.Type.Venue","doc":"This object represents a venue.","ref":"Telegex.Type.Venue.html"},{"type":"type","title":"Telegex.Type.Venue.t/0","doc":"","ref":"Telegex.Type.Venue.html#t:t/0"},{"type":"module","title":"Telegex.Type.Video","doc":"This object represents a video file.","ref":"Telegex.Type.Video.html"},{"type":"type","title":"Telegex.Type.Video.t/0","doc":"","ref":"Telegex.Type.Video.html#t:t/0"},{"type":"module","title":"Telegex.Type.VideoChatEnded","doc":"This object represents a service message about a video chat ended in the chat.","ref":"Telegex.Type.VideoChatEnded.html"},{"type":"type","title":"Telegex.Type.VideoChatEnded.t/0","doc":"","ref":"Telegex.Type.VideoChatEnded.html#t:t/0"},{"type":"module","title":"Telegex.Type.VideoChatParticipantsInvited","doc":"This object represents a service message about new members invited to a video chat.","ref":"Telegex.Type.VideoChatParticipantsInvited.html"},{"type":"type","title":"Telegex.Type.VideoChatParticipantsInvited.t/0","doc":"","ref":"Telegex.Type.VideoChatParticipantsInvited.html#t:t/0"},{"type":"module","title":"Telegex.Type.VideoChatScheduled","doc":"This object represents a service message about a video chat scheduled in the chat.","ref":"Telegex.Type.VideoChatScheduled.html"},{"type":"type","title":"Telegex.Type.VideoChatScheduled.t/0","doc":"","ref":"Telegex.Type.VideoChatScheduled.html#t:t/0"},{"type":"module","title":"Telegex.Type.VideoChatStarted","doc":"This object represents a service message about a video chat started in the chat. Currently holds no information.","ref":"Telegex.Type.VideoChatStarted.html"},{"type":"type","title":"Telegex.Type.VideoChatStarted.t/0","doc":"","ref":"Telegex.Type.VideoChatStarted.html#t:t/0"},{"type":"module","title":"Telegex.Type.VideoNote","doc":"This object represents a video message (available in Telegram apps as of v.4.0).","ref":"Telegex.Type.VideoNote.html"},{"type":"type","title":"Telegex.Type.VideoNote.t/0","doc":"","ref":"Telegex.Type.VideoNote.html#t:t/0"},{"type":"module","title":"Telegex.Type.Voice","doc":"This object represents a voice note.","ref":"Telegex.Type.Voice.html"},{"type":"type","title":"Telegex.Type.Voice.t/0","doc":"","ref":"Telegex.Type.Voice.html#t:t/0"},{"type":"module","title":"Telegex.Type.WebAppData","doc":"Describes data sent from a Web App to the bot.","ref":"Telegex.Type.WebAppData.html"},{"type":"type","title":"Telegex.Type.WebAppData.t/0","doc":"","ref":"Telegex.Type.WebAppData.html#t:t/0"},{"type":"module","title":"Telegex.Type.WebAppInfo","doc":"Describes a Web App.","ref":"Telegex.Type.WebAppInfo.html"},{"type":"type","title":"Telegex.Type.WebAppInfo.t/0","doc":"","ref":"Telegex.Type.WebAppInfo.html#t:t/0"},{"type":"module","title":"Telegex.Type.WebhookInfo","doc":"Describes the current status of a webhook.","ref":"Telegex.Type.WebhookInfo.html"},{"type":"type","title":"Telegex.Type.WebhookInfo.t/0","doc":"","ref":"Telegex.Type.WebhookInfo.html#t:t/0"},{"type":"module","title":"Telegex.Type.WriteAccessAllowed","doc":"This object represents a service message about a user allowing a bot to write messages after adding the bot to the attachment menu or launching a Web App from a link.","ref":"Telegex.Type.WriteAccessAllowed.html"},{"type":"type","title":"Telegex.Type.WriteAccessAllowed.t/0","doc":"","ref":"Telegex.Type.WriteAccessAllowed.html#t:t/0"},{"type":"module","title":"Telegex.TypeDefiner.ArrayType","doc":"","ref":"Telegex.TypeDefiner.ArrayType.html"},{"type":"type","title":"Telegex.TypeDefiner.ArrayType.t/0","doc":"","ref":"Telegex.TypeDefiner.ArrayType.html#t:t/0"},{"type":"module","title":"Telegex.TypeDefiner.Discriminator","doc":"","ref":"Telegex.TypeDefiner.Discriminator.html"},{"type":"type","title":"Telegex.TypeDefiner.Discriminator.t/0","doc":"","ref":"Telegex.TypeDefiner.Discriminator.html#t:t/0"},{"type":"module","title":"Telegex.TypeDefiner.FieldMeta","doc":"","ref":"Telegex.TypeDefiner.FieldMeta.html"},{"type":"type","title":"Telegex.TypeDefiner.FieldMeta.t/0","doc":"","ref":"Telegex.TypeDefiner.FieldMeta.html#t:t/0"},{"type":"module","title":"Telegex.TypeDefiner.UnionType","doc":"","ref":"Telegex.TypeDefiner.UnionType.html"},{"type":"type","title":"Telegex.TypeDefiner.UnionType.t/0","doc":"","ref":"Telegex.TypeDefiner.UnionType.html#t:t/0"},{"type":"extras","title":"Telegex","doc":"The new Telegram Bot API client features a unique and perfect implementation approach! 😋 Three years ago I created this project, and three years later I redesigned it.","ref":"readme.html"},{"type":"extras","title":"Telegex - Introduce","doc":"This library defines standardized APIs through code generation techniques using magical macro codes. These macros generate implementations from the data sourced from official documentation pages, which I parse into structured JSON data as macro inputs. As a result, this library strictly adheres to the documentation standards. Due to its reliance on documentation data and code generation, adapting to new API versions is extremely easy. This ensures that it can effortlessly provide all the latest types and APIs while maintaining absolute correctness.","ref":"readme.html#introduce"},{"type":"extras","title":"Telegex - Installation","doc":"Add Telegex to your mix.exs dependencies: def deps do [ { :telegex , &quot;~&gt; 1.0.0-rc.7&quot; } , ] end Note: InputFile with local file paths is not supported in the structured type of API parameters in version 1.0.0-rc.* . Please use the file ID instead. This is temporary, and local file input will be supported upon the release of version 1.0.","ref":"readme.html#installation"},{"type":"extras","title":"Telegex - Configuration","doc":"Add bot token to the secret configuration file, like this: config :telegex , token : &quot;&lt;BOT_TOKEN&gt;&quot; Specify the adapter for the HTTP client in the public configuration file: config :telegex , caller_adapter : Finch Pass options to the adapter, such as timeout: config :telegex , caller_adapter : { Finch , [ receive_timeout : 5 * 1000 ] } You can also choose HTTPoison as the client. If using HTTPoison, set the corresponding adapter and timeout: config :telegex , caller_adapter : { HTTPoison , [ recv_timeout : 5 * 1000 ] } Note: There are no standardized values for the options parameter here, as they directly relate to the HTTP client being used. The example above passes the raw options for the client library. Note: You need to manually add adapter-related libraries to the deps : Finch : finch , multipart Req : req (⚠️ may be deprecated) HTTPoison : httpoison Don't have a client library you use? Tell me in issues!","ref":"readme.html#configuration"},{"type":"extras","title":"Telegex - Usage","doc":"All Bot APIs are located under the Telegex module, and these APIs fully comply with the required and optional parameters in the documentation, returning specific types (struct rather than map). getMe iex&gt; Telegex . get_me { :ok , % Telegex.Type.User { supports_inline_queries : false , can_read_all_group_messages : false , can_join_groups : true , added_to_attachment_menu : nil , is_premium : nil , language_code : nil , username : &quot;telegex_dev_bot&quot; , last_name : nil , first_name : &quot;Telegex Dev&quot; , is_bot : true , id : 6258629308 } } getUpdates iex&gt; Telegex . get_updates limit : 50 { :ok , [ % Telegex.Type.Update { chat_join_request : nil , chat_member : nil , my_chat_member : nil , poll_answer : nil , poll : nil , pre_checkout_query : nil , shipping_query : nil , callback_query : nil , chosen_inline_result : nil , inline_query : nil , edited_channel_post : nil , channel_post : nil , edited_message : nil , message : % Telegex.Type.Message { reply_markup : nil , web_app_data : nil , # omitted part... new_chat_photo : nil , new_chat_title : nil , text : &quot;Hello&quot; , # omitted part... } , update_id : 929396006 } ] } sendMessage iex&gt; Telegex . send_message - 1001486769003 , &quot;Hello!&quot; { :ok , % Telegex.Type.Message { venue : nil , chat : % Telegex.Type.Chat { # omitted part... title : &quot;Dev test&quot; , type : &quot;supergroup&quot; , id : - 1001486769003 } , date : 1686111102 , message_id : 12777 , text : &quot;Hello!&quot; , from : % Telegex.Type.User { supports_inline_queries : nil , can_read_all_group_messages : nil , can_join_groups : nil , added_to_attachment_menu : nil , is_premium : nil , language_code : nil , username : &quot;telegex_dev_bot&quot; , last_name : nil , first_name : &quot;Telegex Dev&quot; , is_bot : true , id : 6258629308 } , # omitted part... } }","ref":"readme.html#usage"},{"type":"extras","title":"Telegex - Webhook mode","doc":"Add plug and remote_ip to your application's deps because they are required for webhook mode. You also need to configure adapters for hooks, which provide web services. Based on Bandit - bandit # add `bandit` to your dpes. config :telegex , hook_adapter : Bandit Based on Cowboy - plug_cowboy # add `plug_cowboy` to your dpes. config :telegex , hook_adapter : Cowboy To work in webhook mode: Create a new module, like YourProject.HookHandler Use Telegex.Hook.Handler Implement on_boot/0 and on_update/1 callback functions Add your module to the supervision tree Full example: defmodule YourProject.HookHandler do use Telegex.Hook.Handler @impl true def on_boot do # read some parameters from your env config env_config = Application . get_env ( :your_porject , __MODULE__ ) # delete the webhook and set it again Telegex . delete_webhook ( ) # set the webhook (url is required) Telegex . set_webhook ( env_config [ :webhook_url ] ) # specify port for web server # port has a default value of 4000, but it may change with library upgrades % Telegex.Hook.Config { server_port : env_config [ :server_port ] } # you must return the `Telegex.Hook.Config` struct ↑ end @impl true def on_update ( update ) do # consume the update :ok end end Don't forget to add your module to the supervision tree.","ref":"readme.html#webhook-mode"},{"type":"extras","title":"Telegex - The end","doc":"Is there anything you don't understand about building a Telegram Bot? Have bot development needs? Welcome to contact me.","ref":"readme.html#the-end"}]